> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/vnic/modifyipv6bandwidth.md).

# ModifyIpv6Bandwidth

## 1. API Description

This API (ModifyIpv6Bandwidth) is used to Adjust the bandwidth limit for the public IPv6 network.

{% hint style="info" %}
**Notes**

* Only IPv6 in the "RUNNING" available state supports this operation.
* This operation is executed asynchronously. Once the call is successful, the bandwidth change will be processed in the background. The current operation status can be obtained by querying the `operationInfo` field of the IPv6 details interface.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type    | Description                                                                                           |
| -------------- | -------- | ------- | ----------------------------------------------------------------------------------------------------- |
| ipv6Id         | Yes      | String  | IPv6 unique identification ID.                                                                        |
| bandwidth      | Yes      | Integer | <p>Adjust the target value for bandwidth limitation.</p><p>Unit: Mbps.</p><p>Value range: \[1, +)</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Adjust the IPv6 bandwidth limit to 10 Mbps**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyIpv6Bandwidth
<Common Request Params>

Request：
{
    "ipv6Id": "< ipv6Id >",
    "bandwidth": 10
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                          | Description                                                                          |
| ---------------- | --------------------------------------------------- | ------------------------------------------------------------------------------------ |
| 404              | INVALID\_IPV6\_NOT\_FOUND                           | The IPv6 address is not found.                                                       |
| 400              | INVALID\_IPV6\_STATUS                               | The IPv6 address is not active.                                                      |
| 400              | INVALID\_PARAMETER\_BANDWIDTH\_EXCEED               | Bandwidth size exceeds the upper limit.                                              |
| 400              | OPERATION\_DENIED\_IPV6\_IN\_RISK\_CONTROL          | IPv6 is under risk control and this operation is not supported.                      |
| 400              | OPERATION\_DENIED\_LATEST\_OPERATION\_NOT\_FINISHED | The previous operation has not been completed or has failed. Please try again later. |
